Product object together with its related collections (images, categories, stock). Results are ordered by product name (A→Z) by default. Requires a permission that grants access to viewing products.curl --location --globoff 'https://.daftra.com/api2/products.json?limit=20&page=1&keywords=wireless%20mouse&category=12&supplier_id=34&brand_id=5&status=1&tracking_type=1&barcode=6291041500213&product_code=WM-001&with_images=1&load_custom_data=1' \
--header 'Accept: application/json' \
--header 'apikey: ' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'{
"result": "successful",
"code": 200,
"data": [
{
"Product": {
"id": 101,
"staff_id": 0,
"name": "Wireless Mouse",
"description": "string",
"unit_price": 25,
"buy_price": 15,
"average_price": 0,
"minimum_price": 0,
"tax1": 0,
"tax2": 0,
"supplier_id": 0,
"brand": "string",
"category": "string",
"tags": "string",
"product_code": "WM-001",
"barcode": "6291041500213",
"track_stock": 0,
"stock_balance": 42,
"low_stock_thershold": 0,
"notes": "string",
"status": 0,
"type": 1,
"discount": 0,
"discount_type": 1,
"profit_margin": 0,
"duration_minutes": 0,
"availabe_online": 0,
"branch_id": 0,
"created": "2018-05-10 00:42:00",
"modified": "2018-05-12 13:05:06"
},
"ProductImage": [
{}
],
"ProductCategory": [
{}
]
}
],
"pagination": {
"prev": null,
"next": "/api2/products/?page=2",
"page": 1,
"page_count": 5,
"total_results": 98
}
}